View Issue Details

IDProjectCategoryView StatusLast Update
0012999LazarusIDEpublic2009-03-20 10:51
ReporterMartin Friebe Assigned ToPaul Ishenin  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN) 
Target Version0.9.28Fixed in Version0.9.26.2 
Summary0012999: ObjectInspector misplace SubPropertis/SubComponents
DescriptionTo reproduce you can take any Component that has 2 subcomponets/persistent sub properties following each other with no other property inbetween

I found various possibilities in SynEdit:
- BorderSpacing/BookMarkOptions
- Gutter/Font
- font/FoldedColor
And in TScrollBar
- Constraint/BorderSpacing


Put the element on a form, click the [+] symbol in front of the property which is 2nd in alphabet (1st in my list),

Then select the [+] symbol in the other property(which is one line above)

OI is saying "(Borderspacing) is not a correct value"


OI seems to attempt to fill the value of the next main property (if this is a sub prop) in the first sub property, of the currently expanded property.

TagsNo tags attached.
Fixed in Revision18336
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

Martin Friebe

2009-01-18 23:08

manager   ~0024517

actually just after reporting this, found out: the 2nd property does not need to be a sub-property.

Select the value below an expandable propeerty. Expand the property, the first expanded (sub) value will be set to the previous selected value

Paul Ishenin

2009-01-19 07:36

manager   ~0024518

Please test and close if ok.

Issue History

Date Modified Username Field Change
2009-01-18 23:04 Martin Friebe New Issue
2009-01-18 23:04 Martin Friebe LazTarget => -
2009-01-18 23:04 Martin Friebe Widgetset => Win32
2009-01-18 23:08 Martin Friebe Note Added: 0024517
2009-01-19 07:36 Paul Ishenin Fixed in Revision => 18336
2009-01-19 07:36 Paul Ishenin Status new => resolved
2009-01-19 07:36 Paul Ishenin Fixed in Version => 0.9.27 (SVN)
2009-01-19 07:36 Paul Ishenin Resolution open => fixed
2009-01-19 07:36 Paul Ishenin Assigned To => Paul Ishenin
2009-01-19 07:36 Paul Ishenin Note Added: 0024518
2009-01-19 07:36 Paul Ishenin Target Version => 0.9.28
2009-01-21 01:05 Martin Friebe Status resolved => closed
2009-03-20 10:51 Vincent Snijders Fixed in Version 0.9.27 (SVN) => 0.9.26.2